suricata (1:8.0.3-1) unstable; urgency=medium

  * New upstream version 8.0.3
  * Add hwloc for NUMA-aware autopinning on supported archs
  * d/control: Bump standards version from 4.7.2 to 4.7.3:
    Removed 'Priority: optional' since now obsolete.
  * d/control: Remove redundant 'Rules-Requires-Root: no' because it
    defaults to 'no'
  * d/watch: Change URL to upstream server instead of CDN to bypass delaying
    new versions due to CDN cache delays.

 -- Andreas Dolp <dev@andreas-dolp.de>  Tue, 13 Jan 2026 19:51:26 +0100

suricata (1:8.0.2-1) unstable; urgency=medium

  [ Andreas Dolp ]
  * Use /usr/bin/kill instead of /bin/kill.
  * d/control: Bump standards version from 4.6.2 to 4.7.2 without any special
  * rename d/NEWS.Debian to d/NEWS to fix lintian warning
    'incorrect-packaging-filename'
  * d/copyright: Remove superfluous file patterns for some deleted files
  * lintian: Remove lintian override 'executable-in-usr-lib'
  * blhc: Set ignore pattern for rust to avoid false-positives
  * Fix non-existent '.ft C' in manpages to avoid lintian warnings
  * New upstream version 8.0.2

  [ Sascha Steinbiss ]
  * Add Andreas Dolp to Uploaders.

 -- Andreas Dolp <dev@andreas-dolp.de>  Thu, 06 Nov 2025 17:36:49 +0100

suricata (1:8.0.1-3) unstable; urgency=medium

  * Add patch to decouple unit tests from CPU count.
  * Update upstream signing public key from OISF after expiration.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 26 Sep 2025 10:48:03 +0200

suricata (1:8.0.1-2) unstable; urgency=medium

  * Add correct version of Landlock patch.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 22 Sep 2025 21:06:01 +0200

suricata (1:8.0.1-1) unstable; urgency=medium

  [ Andreas Dolp ]
  * New upstream release.
  * Remove libhtp dependency as this is now built in Suricata.
  * Remove LUA as this is now built in Suricata.
  * Bump versioned Rust dependency to 1.75.0 or later.
  * Remove recommended package snort-rules-default.
  * Add libunwind-dev build dependency.
  * Refresh Debian patches.
  * Use systemd service Type=notify for systemd status notification.
  * Remove libnss compile option and dependency.
  * Remove libnspr compile option and dependency.
  * Remove enable-libhs compile option.
  * Add d/suricata.conffiles to remove sysv init conffiles.
  * Align rundir and unix command socket to upstream /var/run/suricata/.
  * Add configuration for landlock LSM security sandbox, but disabled by
    default.

  [ Sascha Steinbiss ]
  * Remove sysv init support.
  * Adjust README.Debian to mention systemd drop-in approach to
    customize ExecStart parameters without having to clone the
    packaged unit file.
  * Remove unneeded ISC license text from d/copyright.
  * Add NEWS.Debian file documenting the change.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 21 Sep 2025 12:27:09 +0200

suricata (1:7.0.11-1) unstable; urgency=medium

  * New Suricata 7 upstream release.
  * Bump copyright date for debian/ directory.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Aug 2025 00:11:44 +0200

suricata (1:7.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 26 Mar 2025 09:28:20 +0100

suricata (1:7.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump versioned libhtp dependency to 0.5.50 or later.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 18 Mar 2025 18:15:01 +0100

suricata (1:7.0.8-2) unstable; urgency=medium

  * Drop dpkg depencency from Pre-Depends.
    Thanks to Guillem Jover for noticing this.
    Closes: #1100109
  * Use dpkg-query instead of apt-cache in debian/rules.
    Thanks to Jochen Sprickerhof for pointing this out.
    Closes: #1100051

 -- Sascha Steinbiss <satta@debian.org>  Sat, 15 Mar 2025 14:37:24 +0100

suricata (1:7.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 13 Dec 2024 09:29:46 +0100

suricata (1:7.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump versioned libhtp dependency to 0.5.49 or later.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 14 Oct 2024 10:48:09 +0200

suricata (1:7.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable tests.
  * Bump copyright date for debian/ directory.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 27 Jun 2024 14:29:40 +0200

suricata (1:7.0.5-2) unstable; urgency=medium

  * Disable tests that need builds for now.
    Meant to remove one of the roadblocks towards testing migration.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 24 Apr 2024 23:01:32 +0200

suricata (1:7.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump versioned libhtp dependency to 0.5.48 or later.
  * Remove (probably buggy) Rust constraint from d/rules.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 23 Apr 2024 15:12:33 +0200

suricata (1:7.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump versioned libhtp dependency to 0.5.47 or later.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 20 Mar 2024 13:41:22 +0100

suricata (1:7.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 08 Feb 2024 23:22:40 +0100

suricata (1:7.0.2-2) unstable; urgency=medium

  * Enable DPDK feature and add dependencies on archs that support it.
    Closes: #1061762

 -- Sascha Steinbiss <satta@debian.org>  Fri, 02 Feb 2024 20:35:20 +0100

suricata (1:7.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 19 Oct 2023 19:30:48 +0200

suricata (1:7.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 15 Sep 2023 21:18:47 +0200

suricata (1:7.0.0-2) unstable; urgency=medium

  * Fix FTBFS on armel and mipsel by fixing -latomic addition in LDFLAGS.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 20 Jul 2023 11:03:07 +0200

suricata (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop Arturo Borrero Gonzalez from Uploaders at his request.
  * Use new project website at suricata.io.
  * Remove patches applied upstream.
  * Change PCRE lib dependency to libpcre2.
  * Bump versioned libhtp dependency to 0.5.45 or later.
  * Bump versioned Rust dependency to 1.61 or later.
  * Bump watchfile to version 4.
  * Remove obsolete dependency on lsb-base.
  * Remove obsolete entries in d/copyright.
  * Remove versions in Conflicts/Replaces.
  * Remove obsolete dh_strip override.
  * Bump d/copyright dates.
  * Update/fix Lintian overrides regarding eBPF file distribution.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 19 Jul 2023 10:14:37 +0200

suricata (1:6.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Raise libhtp minimum dependency version to 0.5.44.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 15 Jun 2023 23:45:03 +0200

suricata (1:6.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 09 May 2023 15:58:02 +0200

suricata (1:6.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Raise libhtp minimum dependency version to 0.5.43.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 13 Apr 2023 23:53:02 +0200

suricata (1:6.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 31 Jan 2023 14:34:17 +0100

suricata (1:6.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Use manpages built from source instead of outdated bundled ones.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 29 Nov 2022 11:19:06 +0100

suricata (1:6.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Raise libhtp minimum dependency version to 0.5.41.
  * Remove obsolete patch since Python scripts are installed differently
    via upstream now.
  * Add upstream metadata.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 27 Sep 2022 23:24:59 +0200

suricata (1:6.0.6-2) unstable; urgency=medium

  * Add patch to not use deprecated libbpf API. This prepares Suricata to be
    ready for libbpf 1.0 when it hits unstable.
    Closes: #1018914
  * Raise libbpf dependency version requirement to 0.7.
  * Refresh other patches.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 21 Sep 2022 18:39:53 +0200

suricata (1:6.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch applied upstream: bigendian-cidr.patch

 -- Sascha Steinbiss <satta@debian.org>  Tue, 12 Jul 2022 16:57:16 +0200

suricata (1:6.0.5-3) unstable; urgency=medium

  * Add patch to handle undefined LEVEL1_DCACHE_LINESIZE.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 01 Jun 2022 11:33:06 +0200

suricata (1:6.0.5-2) unstable; urgency=medium

  * Introduce patch to fix segfaulting autopkgtests on s390x.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 28 Apr 2022 08:51:06 +0200

suricata (1:6.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Raise libhtp minimum dependency version to 0.5.40.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 21 Apr 2022 19:53:32 +0200

suricata (1:6.0.4-3) unstable; urgency=medium

  * Remove suricata-oinkmaster binary package.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 14 Dec 2021 15:24:47 +0100

suricata (1:6.0.4-2) unstable; urgency=medium

  * Raise libhtp minimum dependency version to 0.5.39.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 18 Nov 2021 22:57:47 +0100

suricata (1:6.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 18 Nov 2021 22:00:08 +0100

suricata (1:6.0.3-2) unstable; urgency=medium

  * Use 'command -v' instead of 'which' in suricata-oinkmaster cron file.
    This avoids a runtime deprecation warning on recent versions, and fixes
    piuparts cron job tests.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 30 Aug 2021 20:56:18 +0200

suricata (1:6.0.3-1) unstable; urgency=medium

  * Upload to unstable post-release.
  * Remove patch applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 18 Aug 2021 16:33:31 +0200

suricata (1:6.0.3-1~exp2) experimental; urgency=medium

  * Also use libatomic workaround on powerpc.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 01 Jul 2021 19:44:53 +0200

suricata (1:6.0.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Add Rules-Requires-Root: no.
  * Raise libhtp minimum version B-D to 0.5.38.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 30 Jun 2021 23:51:24 +0200

suricata (1:6.0.2-1~exp1) experimental; urgency=medium

  * Fix conditional variable use in d/rules.
  * New upstream release.
  * Use libhtp 0.5.37.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 11 Dec 2020 09:45:02 +0100

suricata (1:6.0.1-3) unstable; urgency=medium

  * Address CVE-2021-35063 by backporting upstream fix.
    Closes: #990835

 -- Sascha Steinbiss <satta@debian.org>  Mon, 19 Jul 2021 13:26:22 +0200

suricata (1:6.0.1-2) unstable; urgency=medium

  * Also specify explicit separate '-latomic' reference on mipsel.
    This addresses a remaining FTBFS there.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 11 Dec 2020 09:35:57 +0100

suricata (1:6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Disable Prelude support.
    This is broken upstream, see https://redmine.openinfosecfoundation.org/issues/4065
  * Bump libhtp dependency to 0.5.36.
  * Disable suricata-update, as it is a separate package in Debian.
  * Add patches to fix builds with new Autoconf scripts.
  * Use debhelper 13.
  * Include upstream's man pages.
  * Add workaround for missing '-latomic' symbols on armel.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 08 Oct 2020 22:23:17 +0200

suricata (1:5.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Use /run instead of /var/run for pidfiles. Thanks to Michael Berg for the
    patch.
    Closes: #954435
  * Bump libhtp dependency to 0.5.33.
  * Remove nonexistent Files entries in d/copyright.
  * Use correct DEB_LDFLAGS_MAINT_APPEND in d/rules..

 -- Sascha Steinbiss <satta@debian.org>  Wed, 29 Apr 2020 09:34:49 +0200

suricata (1:5.0.2-3) unstable; urgency=medium

  * Source upload to enable testing migration.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Feb 2020 12:47:50 +0100

suricata (1:5.0.2-2) unstable; urgency=medium

  * Add --allow-multiple-definition linker flag to work around FTBFS on armel.
    Closes: #951765

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Feb 2020 12:23:52 +0100

suricata (1:5.0.2-1) unstable; urgency=medium

  * New upstream release.
    Closes: #951654
  * Add patch from upstream to build without needing if_tunnel.h.
    This avoids a potentially foreign arch build-dep for eBPF builds.
    Thanks to Eric Leblond.
  * Drop patches applied upstream.
  * Use debhelper-compat.
  * Mark autopkgtests requiring a control socket as potentially flaky.
    We cannot always predict the timing on all archs and do not want to
    use them for CI gating.
    Closes: #951721
  * Bring d/copyright up to date with current code base.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 20 Feb 2020 14:55:23 +0100

suricata (1:4.1.5-2) unstable; urgency=medium

  * Add versioned Depends on at least libhtp version used for building.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 09 Oct 2019 13:13:40 +0200

suricata (1:4.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 25 Sep 2019 10:24:50 +0200

suricata (1:4.1.4-7) unstable; urgency=medium

  * Prevent file clash with other packages writing into the Python3
    module root directory (suricata/__init__.py).
  * Add patch to make suricatactl Python3-compatible.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 18 Sep 2019 20:55:51 +0200

suricata (1:4.1.4-6) unstable; urgency=medium

  * Make Python components use Python3.
    Closes: #938603

 -- Sascha Steinbiss <satta@debian.org>  Sat, 07 Sep 2019 17:47:44 +0200

suricata (1:4.1.4-5) unstable; urgency=medium

  * Add patch to fix FTBFS on recent kernels. Thanks to Aurelien Jarno for
    pointing this out.
    Closes: #934316

 -- Sascha Steinbiss <satta@debian.org>  Mon, 12 Aug 2019 12:48:29 +0200

suricata (1:4.1.4-4) unstable; urgency=medium

  [ Hilko Bengen ]
  * Patch: add --with-ebpf-includes, point to proper include directory for
    kernel headers, fixing FTBFS on i386

  [ Sascha Steinbiss ]
  * Only build eBPF programs on archs with available dependencies.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 24 Jul 2019 10:34:25 +0200

suricata (1:4.1.4-3) unstable; urgency=medium

  * Fix cross building by including patch that addresses abuse of
    AC_CHECK_FILE. Thanks to Helmut Grohne for the patch.
    Closes: #923174
  * Enable building with eBPF support.
    Thanks to Hilko Bengen for the patch.
    Closes: #917816
  * Create temporary CARGO_HOME to allow building with new cargo
    versions when $HOME is nonexistent.
  * Make autopkgtest more robust when external resources are unavailable.
    Closes: #932463
  * Bump debhelper and compat to 12.
  * Add Pre-Depends by Lintian's suggestion.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 09 Jul 2019 16:47:49 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog suricata`.
